<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * local_ulibot/lib
 *
 * @package    local_ulibot
 * @copyright  2023 e-abclearning.com
 * @author     Daniel Belizan
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

/**
 * get_token
 * Check capabilities to show html script label with
 * Ulibot widget
 * @return string
 */
function local_ulibot_before_standard_html_head() {
    global $COURSE;

    $label = local_ulibot\ulibot::get_label();
    if (isloggedin() && !isguestuser() && !empty($label)) {
        if ($COURSE->id > 1 && has_capability('local/ulibot:courseview', context_course::instance($COURSE->id))) {
            return $label;
        }
        if (has_capability('local/ulibot:systemview', context_system::instance())) {
            return $label;
        }
    }

    return '';
}
